Subject: FW: Garry Clark and Mayor Franklin contact into
From: Cassie Franklin <IMCEAEX-_O=EXCHANGELABS_OU=EXCHANGE+20ADMINISTRATIVE+20GROUP+20+28FYDIBOHF23SPDLT+29_CN=RECIPIENTS_CN=[email-masked]>
To: "Saltzman, Ian" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: Chris Mefford <[email-masked]>
Date: Thu, 7 Jan 2021 21:24:16 +0000

Dr. Saltzman,

Thank you for your time the other day when we spoke. As I mentioned, we are looking forward to Mr. Garry Clark being our next CEO for the Economic Alliance of Snohomish County. He and his wife are hoping to learn more about our outstanding Everett School District, not only because they have children who may be future EPS students, but Mrs. Clark is a teacher.

I’ve copied him on this email along with EASC’s current interim CEO, Chris, in hopes to make a connection.

Thank you as always for your leadership and partnership!

Warmly,

Cassie

Cassie Franklin

Mayor

425.257.7119 | 2930 Wetmore Ave., Everett, WA 98201

everettwa.gov<https://everettwa.gov/>  | Facebook<https://www.facebook.com/EverettCity>  | Twitter<https://twitter.com/everettcity>

Note: Emails and attachments sent to and from the City of Everett are public records and may be subject to disclosure pursuant to the Public Records Act.

From: Chris Mefford <[email-masked]>
Sent: Friday, January 1, 2021 9:11 AM
To: [email-masked]; Cassie Franklin <[email-masked]>
Subject: Garry Clark and Mayor Franklin contact into

Hi Garry and Cassie, Wanted to connect you two by email here. Cassie, I believe Garry arrives this evening and is touring tomorrow. Emails above, Garry’s cell is 402-380-7196.

I extolled the virtues of Everett to Garry, but I’m not empowered to offer him a key to the city …. 😊

CHRIS MEFFORD

President & CEO | Community Attributes Inc.

communityattributes.com<https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Furldefense.proofpoint.com%2Fv2%2Furl%3Fu%3Dhttp-3A__www.communityattributes.com_%26d%3DDwMFAg%26c%3DKoC5GYBOIefzxGAm2j6cjFf-Gz7ANghQIP9aFG9DuBs%26r%3Dp1Tkwb9CuehMw4UtLacUCih-XakXS68w8uO7h31l4Nw%26m%3Dgk4D6iWDYbBwA5yQy_7f-yio2Jj3c4-8Ll-JJIyArGw%26s%3DePRYCZL8Puuw9hNsnzi1p_VAZuFx5VNWkwX1zau7xm4%26e%3D&data=04%7C01%7CCFranklin%40everettwa.gov%7Cca3852503c324254d33808d8ae784007%7C7ac422a9fc2d41b89bff064aaf2eb0c4%7C1%7C0%7C637451178805240424%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&sdata=YKiY7up%2B8HF29KPaREQGiWw8C%2Fy%2BQG6P5BudUeCsWd8%3D&reserved=0>

office: 206.523.6683
mobile: 206.617.9576

From: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Sent: Wednesday, December 30, 2020 11:24 AM
To: Chris Mefford <[email-masked]<mailto:[email-masked]>>
Subject: RE: EASC follow up

Hi Chris,

Thanks again. Yes. Totally fine with the contact share for Mayor Cassie Franklin. I did find one home in North Everett that’s listed, and looks pretty cool to us. I will keep that area in mind. Thanks again for your guidance and support.

Most appreciated. Happy New Year!

Garry Clark

Econ. Developer. Speaker. Author. Poet.

[email-masked]<mailto:[email-masked]>

[email-masked]<mailto:[email-masked]>